Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.res
Class XSLTErrorResources

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--weblogic.apache.xml.utils.res.XResourceBundleBase
                        |
                        +--weblogic.apache.xalan.res.XSLTErrorResources

public class XSLTErrorResources
extends XResourceBundleBase

Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first update the count of messages(MAX_CODE)or the count of warnings(MAX_WARNING). The array will be automatically filled in with the keys, but you need to fill in the actual message string. Follow the instructions below.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`static java.lang.String` | `BAD_CODE` String for use when a bad error code was encountered.
`static int` | `ER_ATTR_NOT_ALLOWED` attribute is not allowed on the element
`static int` | `ER_ATTRIB_VALUE_NOT_FOUND` attribute value not found
`static int` | `ER_ATTRIB_VALUE_NOT_RECOGNIZED` attribute value not recognized
`static int` | `ER_AXIS_NOT_SUPPORTED` Axis traverser not supported
`static int` | `ER_BAD_STYLESHEET_URL` ER_BAD_STYLESHEET_URL
`static int` | `ER_BAD_VAL_ON_LEVEL_ATTRIB` ER_BAD_VAL_ON_LEVEL_ATTRIB
`static int` | `ER_BAD_VALUE` Bad value
`static int` | `ER_BAD_XSLSORT_USE` ER_BAD_XSLSORT_USE
`static int` | `ER_BUFFER_SIZE_LESSTHAN_ZERO` Buffer size <=0
`static int` | `ER_CALL_TO_EXT_FAILED` ER_CALL_TO_EXT_FAILED
`static int` | `ER_CAN_ONLY_OUTPUT_TO_ELEMENT` ER_CAN_ONLY_OUTPUT_TO_ELEMENT
`static int` | `ER_CANNOT_ADD` ER_CANNOT_ADD
`static int` | `ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT` ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT
`static int` | `ER_CANNOT_CALL_PARSE` parse can not be called if the ContentHandler has not been set
`static int` | `ER_CANNOT_CHANGE_WHILE_PARSING` Parser is already in use
`static int` | `ER_CANNOT_CMPL_EXTENSN` Could not compile extension
`static int` | `ER_CANNOT_CREATE_EXTENSN` Could not create extension
`static int` | `ER_CANNOT_INIT_BSFMGR` Could not initialize BSF Manager
`static int` | `ER_CANNOT_INIT_DEFAULT_TEMPLATES` Cannot initialize default templates
`static int` | `ER_CANNOT_INIT_URI_EMPTY_PARMS` Cannot initialize URI with empty parameters
`static int` | `ER_CANNOT_MIX_XERCESDOM` ER_CANNOT_MIX_XERCESDOM
`static int` | `ER_CANNOT_OVERWRITE_CAUSE` Can't overwrite cause
`static int` | `ER_CANNOT_SERIALIZE_XSLPROCESSOR` ER_CANNOT_SERIALIZE_XSLPROCESSOR
`static int` | `ER_CANNOT_TRANSFORM_SOURCE_TYPE` Can't transform to a Source of type
`static int` | `ER_CANNOT_TRANSFORM_TO_RESULT_TYPE` Can't transform to a Result of type
`static int` | `ER_CANT_CREATE_ITEM` ER_CANT_CREATE_ITEM
`static int` | `ER_CANT_CREATE_URL` ER_CANT_CREATE_URL
`static int` | `ER_CANT_RESOLVE_NAME_AVT` ER_CANT_RESOLVE_NAME_AVT
`static int` | `ER_CANT_RESOLVE_NSPREFIX` ER_CANT_RESOLVE_NSPREFIX
`static int` | `ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER` ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER
`static int` | `ER_CANT_USE_DTM_FOR_INPUT` ER_CANT_USE_DTM_FOR_INPUT
`static int` | `ER_CANT_USE_DTM_FOR_OUTPUT` ER_CANT_USE_DTM_FOR_OUTPUT
`static int` | `ER_CHARS_NOT_ALLOWED` Characters are not allowed at this point in the document
`static int` | `ER_CHOOSE_REQUIRES_WHEN` ER_CHOOSE_REQUIRES_WHEN
`static int` | `ER_CHUNKEDINTARRAY_NOT_SUPPORTED` ChunkedIntArray({0}) not currently supported
`static int` | `ER_CLASS_NOT_FOUND_FOR_OPTION` Class not found for option
`static int` | `ER_COJOINROUTINESET_FAILED` co_joinCoroutineSet() failed
`static int` | `ER_COROUTINE_CO_EXIT` CoroutineManager recieved co_exit() request
`static int` | `ER_COROUTINE_NOT_AVAIL` Coroutine not available, id=
`static int` | `ER_COROUTINE_PARAM` Coroutine parameter error ()
`static int` | `ER_COULD_NOT_CREATE_TRACELISTENER` ER_COULD_NOT_CREATE_TRACELISTENER
`static int` | `ER_COULD_NOT_CREATE_XML_PROC_LIAISON` ER_COULD_NOT_CREATE_XML_PROC_LIAISON
`static int` | `ER_COULD_NOT_FIND_EXTERN_SCRIPT` src attribute not yet supported for
`static int` | `ER_COULD_NOT_INIT_PARSER` could not initialize parser with
`static int` | `ER_COULD_NOT_LOAD_RESOURCE` Could not load {0} (check CLASSPATH), now using just the defaults
`static int` | `ER_COULD_NOT_RESOLVE_NODE` Could not resolve the node to a handle
`static int` | `ER_COULDNT_FIND_FRAGMENT` ER_COULDNT_FIND_FRAGMENT
`static int` | `ER_COULDNT_PARSE_DOC` ER_COULDNT_PARSE_DOC
`static int` | `ER_CURRENCY_SIGN_ILLEGAL` ER_CURRENCY_SIGN_ILLEGAL
`static int` | `ER_DEFAULTSPACE_NOT_SUPPORTED` ER_DEFAULTSPACE_NOT_SUPPORTED
`static int` | `ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM` ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM
`static int` | `ER_DUPLICATE_NAMED_TEMPLATE` ER_DUPLICATE_NAMED_TEMPLATE
`static int` | `ER_ELEM_CONTENT_NOT_ALLOWED` Element content not allowed for lang=javaclass
`static int` | `ER_ELEMENT_NAME_METHOD_STATIC` Element name method must be static
`static int` | `ER_ELEMTEMPLATEELEM_ERR` ER_ELEMTEMPLATEELEM_ERR
`static int` | `ER_ENCODING_NOT_SUPPORTED` ER_ENCODING_NOT_SUPPORTED
`static int` | `ER_EXCEPTION_CREATING_POOL` exception creating new instance for pool
`static int` | `ER_EXTENSION_FUNC_UNKNOWN` Extension function {0} : {1} is unknown
`static int` | `ER_FAILED_CALLING_METHOD` Failed calling {0} method
`static int` | `ER_FAILED_CREATING_ELEMLITRSLT` Failed creating ElemLiteralResult instance
`static int` | `ER_FAILED_CREATING_ELEMTMPL` Failed creating ElemLiteralResult instance
`static int` | `ER_FAILED_PROCESS_STYLESHEET` ER_FAILED_PROCESS_STYLESHEET
`static int` | `ER_FILE_CANNOT_BE_NULL` File cannot be null
`static int` | `ER_FILE_NOT_FOUND` ER_FILE_NOT_FOUND
`static int` | `ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB` ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB
`static int` | `ER_FRAG_FOR_GENERIC_URI` Fragment can only be set for a generic URI
`static int` | `ER_FRAG_INVALID_CHAR` Fragment contains invalid character
`static int` | `ER_FRAG_WHEN_PATH_NULL` Fragment cannot be set when path is null
`static int` | `ER_FUNCTION_NOT_SUPPORTED` ER_FUNCTION_NOT_SUPPORTED
`static int` | `ER_HOST_ADDRESS_NOT_WELLFORMED` Host is not a well formed address
`static int` | `ER_ILLEGAL_ATTRIB` ER_ILLEGAL_ATTRIB
`static int` | `ER_ILLEGAL_ATTRIBUTE` ER_ILLEGAL_ATTRIBUTE
`static int` | `ER_ILLEGAL_ATTRIBUTE_VALUE` ER_ILLEGAL_ATTRIBUTE_VALUE
`static int` | `ER_ILLEGAL_DOMSOURCE_INPUT` Illegal DOMSource input
`static int` | `ER_ILLEGAL_VALUE` ER_ILLEGAL_VALUE
`static int` | `ER_ILLEGAL_XMLSPACE_VALUE` Illegal value for xml:space
`static int` | `ER_IMPORTING_ITSELF` ER_IMPORTING_ITSELF
`static int` | `ER_IMPORTS_AS_FIRST_ELEM` ER_IMPORTS_AS_FIRST_ELEM
`static int` | `ER_IN_ELEMTEMPLATEELEM_READOBJECT` ER_IN_ELEMTEMPLATEELEM_READOBJECT
`static int` | `ER_INCRSAXSRCFILTER_NOT_RESTARTABLE` IncrementalSAXSource_Filter not currently restartable
`static int` | `ER_INDENTRESULT_NOT_SUPPORTED` ER_INDENTRESULT_NOT_SUPPORTED
`static int` | `ER_INPUT_CANNOT_BE_NULL` InputStream cannot be null
`static int` | `ER_INSTANCE_MTHD_CALL_REQUIRES` Instance method call to method {0} requires an Object instance as first argument
`static int` | `ER_INVALID_CONTEXT_PASSED` Invalid context passed to evaluate
`static int` | `ER_INVALID_DRIVER` Invalid driver name specified
`static int` | `ER_INVALID_ELEMENT_NAME` Invalid element name specified
`static int` | `ER_INVALID_KEY_CALL` ER_INVALID_KEY_CALL
`static int` | `ER_INVALID_OPTION` ER_INVALID_OPTION
`static int` | `ER_INVALID_PORT` Invalid port number
`static int` | `ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX` ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX
`static int` | `ER_INVALID_UTF16_SURROGATE` ER_INVALID_UTF16_SURROGATE
`static int` | `ER_IOEXCEPTION` ER_IOEXCEPTION
`static int` | `ER_ITERATOR_AXIS_NOT_IMPLEMENTED` Error: iterator for axis {0} not implemented
`static int` | `ER_ITERATOR_CLONE_NOT_SUPPORTED` Iterator clone not supported
`static int` | `ER_KEY_REQUIRES_MATCH_ATTRIB` ER_KEY_REQUIRES_MATCH_ATTRIB
`static int` | `ER_KEY_REQUIRES_NAME_ATTRIB` ER_KEY_REQUIRES_NAME_ATTRIB
`static int` | `ER_KEY_REQUIRES_USE_ATTRIB` ER_KEY_REQUIRES_USE_ATTRIB
`static int` | `ER_MALFORMED_FORMAT_STRING` ER_MALFORMED_FORMAT_STRING
`static int` | `ER_METHOD_NOT_SUPPORTED` Method not yet supported
`static int` | `ER_MISPLACED_XSLOTHERWISE` ER_MISPLACED_XSLOTHERWISE
`static int` | `ER_MISPLACED_XSLWHEN` ER_MISPLACED_XSLWHEN
`static int` | `ER_MISSING_ARG_FOR_OPTION` ER_MISSING_ARG_FOR_OPTION
`static int` | `ER_MISSING_CONTAINER_ELEMENT_COMPONENT` ER_MISSING_CONTAINER_ELEMENT_COMPONENT
`static int` | `ER_MISSING_LANG_ATTRIB` ER_MISSING_LANG_ATTRIB
`static int` | `ER_MISSING_NS_URI` ER_MISSING_NS_URI
`static int` | `ER_MISSING_PREFIX_ATTRIB` ER_MISSING_PREFIX_ATTRIB
`static int` | `ER_MORE_MATCH_CONSTRUCTOR` More than one best match for constructor for
`static int` | `ER_MORE_MATCH_ELEMENT` More than one best match for element method
`static int` | `ER_MORE_MATCH_METHOD` More than one best match for method
`static int` | `ER_MUST_HAVE_TEST_ATTRIB` ER_MUST_HAVE_TEST_ATTRIB
`static int` | `ER_NEED_MATCH_ATTRIB` ER_NEED_MATCH_ATTRIB
`static int` | `ER_NEED_NAME_ATTRIB` ER_NEED_NAME_ATTRIB
`static int` | `ER_NEED_NAME_OR_MATCH_ATTRIB` ER_NEED_NAME_OR_MATCH_ATTRIB
`static int` | `ER_NEED_SELECT_ATTRIB` ER_NEED_SELECT_ATTRIB
`static int` | `ER_NEED_TEST_ATTRIB` ER_NEED_TEST_ATTRIB
`static int` | `ER_NO_APPLY_IMPORT_IN_FOR_EACH` ER_NO_APPLY_IMPORT_IN_FOR_EACH
`static int` | `ER_NO_CLONE_OF_DOCUMENT_FRAG` ER_NO_CLONE_OF_DOCUMENT_FRAG
`static int` | `ER_NO_CONTEXT_OWNERDOC` ER_NO_CONTEXT_OWNERDOC
`static int` | `ER_NO_CURLYBRACE` ER_NO_CURLYBRACE
`static int` | `ER_NO_DEFAULT_IMPL` No default implementation found
`static int` | `ER_NO_DRIVER_NAME` No driver Name specified
`static int` | `ER_NO_DTMIDS_AVAIL` No more DTM IDs are available
`static int` | `ER_NO_FRAGMENT_STRING_IN_PATH` Fragment cannot be specified in both the path and fragment
`static int` | `ER_NO_HREF_ATTRIB` ER_NO_HREF_ATTRIB
`static int` | `ER_NO_INPUT_STYLESHEET` ER_NO_INPUT_STYLESHEET
`static int` | `ER_NO_NAME_ATTRIB` ER_NO_NAME_ATTRIB
`static int` | `ER_NO_NAMESPACE_DECL` Prefix {0} does not have a corresponding namespace declaration
`static int` | `ER_NO_OUTPUT_SPECIFIED` No output specified
`static int` | `ER_NO_OWNERDOC` ER_NO_OWNERDOC
`static int` | `ER_NO_PARENT_FOR_FILTER` No parent for filter
`static int` | `ER_NO_PARSE_CALL_WHILE_PARSING` parse may not be called while parsing
`static int` | `ER_NO_PORT_IF_NO_HOST` Port may not be specified if host is not specified
`static int` | `ER_NO_QUERY_STRING_IN_PATH` Query string cannot be specified in path and query string
`static int` | `ER_NO_SCHEME_IN_URI` No scheme found in URI
`static int` | `ER_NO_SCHEME_INURI` No scheme found in URI
`static int` | `ER_NO_SELECT_EXPRESSION` ER_NO_SELECT_EXPRESSION
`static int` | `ER_NO_STYLESHEET_IN_MEDIA` No stylesheet found in: {0}, media
`static int` | `ER_NO_STYLESHEET_PI` No xml-stylesheet PI found in
`static int` | `ER_NO_STYLESHEETROOT` Did not find the stylesheet root
`static int` | `ER_NO_URL` No URL specified
`static int` | `ER_NO_USERINFO_IF_NO_HOST` Userinfo may not be specified if host is not specified
`static int` | `ER_NO_XSLKEY_DECLARATION` ER_NO_XSLKEY_DECLARATION
`static int` | `ER_NODE_NON_NULL` node must be non-null for getDTMHandleFromNode
`static int` | `ER_NODE_NOT_ELEMENT` ER_NODE_NOT_ELEMENT
`static int` | `ER_NOT_ALLOWED_INSIDE_STYLESHEET` ER_NOT_ALLOWED_INSIDE_STYLESHEET
`static int` | `ER_NOT_ALLOWED_INSIDE_TEMPLATE` ER_NOT_ALLOWED_INSIDE_TEMPLATE
`static int` | `ER_NOT_SUCCESSFUL` ER_NOT_SUCCESSFUL
`static int` | `ER_NOT_SUPPORTED` Not supported
`static int` | `ER_NULL_CHILD` ER_NULL_CHILD
`static int` | `ER_NULL_CONTENT_HANDLER` Null content handler
`static int` | `ER_NULL_ERROR_HANDLER` Null error handler
`static int` | `ER_NULL_SOURCENODE_APPLYIMPORTS` ER_NULL_SOURCENODE_APPLYIMPORTS
`static int` | `ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES` ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES
`static int` | `ER_NULL_URI_NAMESPACE` Attempting to generate a namespace prefix with a null URI
`static int` | `ER_NUMBER_TOO_BIG` Attempting to generate a namespace prefix with a null URI
`static int` | `ER_OFFSET_BIGGER_THAN_SLOT` Offset bigger than slot
`static int` | `ER_ONE_OR_TWO` 1 or 2
`static int` | `ER_OUTPUT_PROPERTY_NOT_RECOGNIZED` output property not recognized:
`static int` | `ER_PARSER_DOTERMINATE_ANSWERS` UNEXPECTED: Parser doTerminate answers
`static int` | `ER_PARSER_IN_USE` Parser is already in use
`static int` | `ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE` Path contains invalid escape sequence
`static int` | `ER_PATH_INVALID_CHAR` Path contains invalid character:
`static int` | `ER_POOL_EXISTS` Pool already exists
`static int` | `ER_POOL_SIZE_LESSTHAN_ONE` Pool size is less than one
`static int` | `ER_PORT_WHEN_HOST_NULL` Port cannot be set when host is null
`static int` | `ER_PREFIX_MUST_RESOLVE` ER_PREFIX_MUST_RESOLVE
`static int` | `ER_PRIORITY_NOT_PARSABLE` Priority value does not contain a parsable number
`static int` | `ER_PROCESS_ERROR` ER_PROCESS_ERROR
`static int` | `ER_PROCESS_NOT_SUCCESSFUL` ER_PROCESS_NOT_SUCCESSFUL
`static int` | `ER_PROCESSFROMNODE_FAILED` processFromNode failed
`static int` | `ER_PROCESSINCLUDE_ERROR` ER_PROCESSINCLUDE_ERROR
`static int` | `ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML` ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML
`static int` | `ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME` ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME
`static int` | `ER_PROCESSOR_ERROR` ER_PROCESSOR_ERROR
`static int` | `ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL` ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL
`static int` | `ER_PROPERTY_VALUE_BOOLEAN` Value for property {0} should be a Boolean instance
`static int` | `ER_REDIRECT_COULDNT_GET_FILENAME` ER_REDIRECT_COULDNT_GET_FILENAME
`static int` | `ER_REFERENCING_ITSELF` Variable is referencing itself
`static int` | `ER_REQUIRED_ELEM_NOT_FOUND` Required Element not found
`static int` | `ER_REQUIRES_ATTRIB` ER_REQUIRES_ATTRIB
`static int` | `ER_REQUIRES_ELEMENTS_ATTRIB` ER_REQUIRES_ELEMENTS_ATTRIB
`static int` | `ER_RESOURCE_COULD_NOT_FIND` The resource [] could not be found
`static int` | `ER_RESOURCE_COULD_NOT_LOAD` The resource [] could not load:
`static int` | `ER_RESULT_COULD_NOT_BE_SET` Result could not be set
`static int` | `ER_RESULT_NULL` Result should not be null
`static int` | `ER_RESULTNS_NOT_SUPPORTED` ER_RESULTNS_NOT_SUPPORTED
`static int` | `ER_SAX_EXCEPTION` ER_SAX_EXCEPTION
`static int` | `ER_SCHEME_FROM_NULL_STRING` Cannot set scheme from null string
`static int` | `ER_SCHEME_NOT_CONFORMANT` The scheme is not conformant.
`static int` | `ER_SCHEME_REQUIRED` Scheme is required!
`static int` | `ER_SELF_CAUSATION_NOT_PERMITTED` Self-causation not permitted
`static int` | `ER_SOURCE_CANNOT_BE_NULL` InputSource cannot be null
`static int` | `ER_STARTPARSE_NEEDS_SAXPARSER` startParse needs a non-null SAXParser
`static int` | `ER_STARTPARSE_WHILE_PARSING` startParse may not be called while parsing
`static int` | `ER_STYLESHEET_DIRECTED_TERMINATION` Stylesheet directed termination
`static int` | `ER_STYLESHEET_INCLUDES_ITSELF` ER_STYLESHEET_INCLUDES_ITSELF
`static int` | `ER_STYLESHEET_REQUIRES_VERSION_ATTRIB` ER_STYLESHEET_REQUIRES_VERSION_ATTRIB
`static int` | `ER_TEMPLATE_NOT_FOUND` ER_TEMPLATE_NOT_FOUND
`static int` | `ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB` ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB
`static int` | `ER_TOO_MANY_LISTENERS` ER_TOO_MANY_LISTENERS
`static int` | `ER_TWO_OR_THREE` 2 or 3
`static int` | `ER_TYPED_ITERATOR_AXIS_NOT_IMPLEMENTED` Error: typed iterator for axis {0} not implemented
`static int` | `ER_UNIMPLNODE_ERROR` ER_UNIMPLNODE_ERROR
`static int` | `ER_UNKNOWN_AXIS_TYPE` Unknown axis traversal type
`static int` | `ER_UNKNOWN_ERROR_CALLING_EXTENSION` Unknown error when calling extension
`static int` | `ER_UNKNOWN_EXT_NS_PREFIX` ER_UNKNOWN_EXT_NS_PREFIX
`static int` | `ER_UNKNOWN_XSL_ELEM` ER_UNKNOWN_XSL_ELEM
`static int` | `ER_URI_CANNOT_BE_NULL` URI cannot be null
`static int` | `ER_VALUE_SHOULD_EQUAL` Value for {0} should equal 'yes' or 'no'
`static int` | `ER_XMLRDR_NOT_BEFORE_STARTPARSE` IncrementalSAXSource_Filter not currently restartable
`static int` | `ER_XMLSPACE_ILLEGAL_VAL` ER_XMLSPACE_ILLEGAL_VAL
`static int` | `ER_XMLSPACE_ILLEGAL_VALUE` ER_XMLSPACE_ILLEGAL_VALUE
`static int` | `ER_XSLATTRSET_USED_ITSELF` ER_XSLATTRSET_USED_ITSELF
`static int` | `ER_XSLFUNCTIONS_UNSUPPORTED` ER_XSLFUNCTIONS_UNSUPPORTED
`static int` | `ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE` ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE
`static int` | `ER_XSLT_ERROR` ER_XSLT_ERROR
`static int` | `ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE` ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE
`static java.lang.String` | `ERROR_HEADER` String to prepend to error messages.
`static java.lang.String` | `ERROR_STRING` General error string.
`static java.lang.String` | `ERROR_SUFFIX` The error suffix for construction error property keys.
`static int` | `ERROR0000` Error message ID that has a null message, but takes in a single object.
`static java.lang.String` | `FORMAT_FAILED` String for use when formatting of the error string failed.
`static int` | `MAX_CODE` Maximum error messages, this is needed to keep track of the number of messages.
`static int` | `MAX_MESSAGES` Maximum total warnings and error messages.
`static int` | `MAX_OTHERS` Maximum misc strings.
`static int` | `MAX_WARNING` Maximum warnings, this is needed to keep track of the number of warnings.
`static java.lang.String` | `QUERY_HEADER` Deprecated.
`static java.lang.String` | `WARNING_HEADER` String to prepend to warning messages.
`static java.lang.String` | `WARNING_SUFFIX` The warning suffix for construction error property keys.
`static int` | `WG_ATTR_TEMPLATE` WG_ATTR_TEMPLATE
`static int` | `WG_ATTRIB_NOT_HANDLED` WG_ATTRIB_NOT_HANDLED
`static int` | `WG_CANNOT_FIND_COLLATOR` WG_CANNOT_FIND_COLLATOR
`static int` | `WG_CANNOT_LOAD_REQUESTED_DOC` WG_CANNOT_LOAD_REQUESTED_DOC
`static int` | `WG_CANNOT_MAKE_URL_FROM` WG_CANNOT_MAKE_URL_FROM
`static int` | `WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE` WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE
`static int` | `WG_COULD_NOT_RESOLVE_PREFIX` WG_COULD_NOT_RESOLVE_PREFIX
`static int` | `WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR` WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR
`static int` | `WG_EMPTY_SECOND_ARG` WG_EMPTY_SECOND_ARG
`static int` | `WG_ENCODING_NOT_SUPPORTED_USING_JAVA` WG_ENCODING_NOT_SUPPORTED_USING_JAVA
`static int` | `WG_ENCODING_NOT_SUPPORTED_USING_UTF8` WG_ENCODING_NOT_SUPPORTED_USING_UTF8
`static int` | `WG_EXPR_ATTRIB_CHANGED_TO_SELECT` WG_EXPR_ATTRIB_CHANGED_TO_SELECT
`static int` | `WG_FOUND_CURLYBRACE` WG_FOUND_CURLYBRACE
`static int` | `WG_FUNCTIONS_SHOULD_USE_URL` WG_FUNCTIONS_SHOULD_USE_URL
`static int` | `WG_ILLEGAL_ATTRIBUTE` WG_ILLEGAL_ATTRIBUTE
`static int` | `WG_ILLEGAL_ATTRIBUTE_NAME` WG_ILLEGAL_ATTRIBUTE_NAME
`static int` | `WG_ILLEGAL_ATTRIBUTE_VALUE` WG_ILLEGAL_ATTRIBUTE_VALUE
`static int` | `WG_LOCALE_NOT_FOUND` WG_LOCALE_NOT_FOUND
`static int` | `WG_NO_DECIMALFORMAT_DECLARATION` WG_NO_DECIMALFORMAT_DECLARATION
`static int` | `WG_NO_LOCALE_IN_FORMATNUMBER` WG_NO_LOCALE_IN_FORMATNUMBER
`static int` | `WG_OLD_XSLT_NS` WG_OLD_XSLT_NS
`static int` | `WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED` WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED
`static int` | `WG_PARSING_AND_PREPARING` WG_PARSING_AND_PREPARING
`static int` | `WG_SPECIFICITY_CONFLICTS` WG_SPECIFICITY_CONFLICTS
`static int` | `WG_STYLESHEET_REQUIRES_VERSION_ATTRIB` WG_STYLESHEET_REQUIRES_VERSION_ATTRIB
`static int` | `WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE` WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE
`static java.lang.String` | `XML_HEADER` String to specify the XML parser module.
`static java.lang.String` | `XSL_HEADER` String to specify the XSLT module.

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`XSLTErrorResources()`

Method Summary
`java.lang.Object[][]` | `getContents()` Get the lookup table.
`java.lang.String` | `getMessageKey(int errorCode)` Get a string representation of the error code.
`static java.lang.String` | `getMKey(int errorCode)` Get a string representation of the message code.
`java.lang.String` | `getWarningKey(int errorCode)` Get a string representation of the warning code.
`static java.lang.String` | `getWKey(int errorCode)` Get a string representation of the warning code.
`static XSLTErrorResources` | `loadResourceBundle(java.lang.String className)` Return a named ResourceBundle for a particular locale.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_SUFFIX

    public static final java.lang.String ERROR_SUFFIX

  The error suffix for construction error property keys.

### WARNING_SUFFIX

    public static final java.lang.String WARNING_SUFFIX

  The warning suffix for construction error property keys.

### MAX_CODE

    public static final int MAX_CODE

  Maximum error messages, this is needed to keep track of the number of messages.

### MAX_WARNING

    public static final int MAX_WARNING

  Maximum warnings, this is needed to keep track of the number of warnings.

### MAX_OTHERS

    public static final int MAX_OTHERS

  Maximum misc strings.

### MAX_MESSAGES

    public static final int MAX_MESSAGES

  Maximum total warnings and error messages.

### ERROR0000

    public static final int ERROR0000

  Error message ID that has a null message, but takes in a single object.

### ER_NO_CURLYBRACE

    public static final int ER_NO_CURLYBRACE

  ER_NO_CURLYBRACE

### ER_ILLEGAL_ATTRIBUTE

    public static final int ER_ILLEGAL_ATTRIBUTE

  ER_ILLEGAL_ATTRIBUTE

### ER_NULL_SOURCENODE_APPLYIMPORTS

    public static final int ER_NULL_SOURCENODE_APPLYIMPORTS

  ER_NULL_SOURCENODE_APPLYIMPORTS

### ER_CANNOT_ADD

    public static final int ER_CANNOT_ADD

  ER_CANNOT_ADD

### ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES

    public static final int ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES

  ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES

### ER_NO_NAME_ATTRIB

    public static final int ER_NO_NAME_ATTRIB

  ER_NO_NAME_ATTRIB

### ER_TEMPLATE_NOT_FOUND

    public static final int ER_TEMPLATE_NOT_FOUND

  ER_TEMPLATE_NOT_FOUND

### ER_CANT_RESOLVE_NAME_AVT

    public static final int ER_CANT_RESOLVE_NAME_AVT

  ER_CANT_RESOLVE_NAME_AVT

### ER_REQUIRES_ATTRIB

    public static final int ER_REQUIRES_ATTRIB

  ER_REQUIRES_ATTRIB

### ER_MUST_HAVE_TEST_ATTRIB

    public static final int ER_MUST_HAVE_TEST_ATTRIB

  ER_MUST_HAVE_TEST_ATTRIB

### ER_BAD_VAL_ON_LEVEL_ATTRIB

    public static final int ER_BAD_VAL_ON_LEVEL_ATTRIB

  ER_BAD_VAL_ON_LEVEL_ATTRIB

### ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML

    public static final int ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML

  ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML

### ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME

    public static final int ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME

  ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME

### ER_NEED_MATCH_ATTRIB

    public static final int ER_NEED_MATCH_ATTRIB

  ER_NEED_MATCH_ATTRIB

### ER_NEED_NAME_OR_MATCH_ATTRIB

    public static final int ER_NEED_NAME_OR_MATCH_ATTRIB

  ER_NEED_NAME_OR_MATCH_ATTRIB

### ER_CANT_RESOLVE_NSPREFIX

    public static final int ER_CANT_RESOLVE_NSPREFIX

  ER_CANT_RESOLVE_NSPREFIX

### ER_ILLEGAL_VALUE

    public static final int ER_ILLEGAL_VALUE

  ER_ILLEGAL_VALUE

### ER_NO_OWNERDOC

    public static final int ER_NO_OWNERDOC

  ER_NO_OWNERDOC

### ER_ELEMTEMPLATEELEM_ERR

    public static final int ER_ELEMTEMPLATEELEM_ERR

  ER_ELEMTEMPLATEELEM_ERR

### ER_NULL_CHILD

    public static final int ER_NULL_CHILD

  ER_NULL_CHILD

### ER_NEED_SELECT_ATTRIB

    public static final int ER_NEED_SELECT_ATTRIB

  ER_NEED_SELECT_ATTRIB

### ER_NEED_TEST_ATTRIB

    public static final int ER_NEED_TEST_ATTRIB

  ER_NEED_TEST_ATTRIB

### ER_NEED_NAME_ATTRIB

    public static final int ER_NEED_NAME_ATTRIB

  ER_NEED_NAME_ATTRIB

### ER_NO_CONTEXT_OWNERDOC

    public static final int ER_NO_CONTEXT_OWNERDOC

  ER_NO_CONTEXT_OWNERDOC

### ER_COULD_NOT_CREATE_XML_PROC_LIAISON

    public static final int ER_COULD_NOT_CREATE_XML_PROC_LIAISON

  ER_COULD_NOT_CREATE_XML_PROC_LIAISON

### ER_PROCESS_NOT_SUCCESSFUL

    public static final int ER_PROCESS_NOT_SUCCESSFUL

  ER_PROCESS_NOT_SUCCESSFUL

### ER_NOT_SUCCESSFUL

    public static final int ER_NOT_SUCCESSFUL

  ER_NOT_SUCCESSFUL

### ER_ENCODING_NOT_SUPPORTED

    public static final int ER_ENCODING_NOT_SUPPORTED

  ER_ENCODING_NOT_SUPPORTED

### ER_COULD_NOT_CREATE_TRACELISTENER

    public static final int ER_COULD_NOT_CREATE_TRACELISTENER

  ER_COULD_NOT_CREATE_TRACELISTENER

### ER_KEY_REQUIRES_NAME_ATTRIB

    public static final int ER_KEY_REQUIRES_NAME_ATTRIB

  ER_KEY_REQUIRES_NAME_ATTRIB

### ER_KEY_REQUIRES_MATCH_ATTRIB

    public static final int ER_KEY_REQUIRES_MATCH_ATTRIB

  ER_KEY_REQUIRES_MATCH_ATTRIB

### ER_KEY_REQUIRES_USE_ATTRIB

    public static final int ER_KEY_REQUIRES_USE_ATTRIB

  ER_KEY_REQUIRES_USE_ATTRIB

### ER_REQUIRES_ELEMENTS_ATTRIB

    public static final int ER_REQUIRES_ELEMENTS_ATTRIB

  ER_REQUIRES_ELEMENTS_ATTRIB

### ER_MISSING_PREFIX_ATTRIB

    public static final int ER_MISSING_PREFIX_ATTRIB

  ER_MISSING_PREFIX_ATTRIB

### ER_BAD_STYLESHEET_URL

    public static final int ER_BAD_STYLESHEET_URL

  ER_BAD_STYLESHEET_URL

### ER_FILE_NOT_FOUND

    public static final int ER_FILE_NOT_FOUND

  ER_FILE_NOT_FOUND

### ER_IOEXCEPTION

    public static final int ER_IOEXCEPTION

  ER_IOEXCEPTION

### ER_NO_HREF_ATTRIB

    public static final int ER_NO_HREF_ATTRIB

  ER_NO_HREF_ATTRIB

### ER_STYLESHEET_INCLUDES_ITSELF

    public static final int ER_STYLESHEET_INCLUDES_ITSELF

  ER_STYLESHEET_INCLUDES_ITSELF

### ER_PROCESSINCLUDE_ERROR

    public static final int ER_PROCESSINCLUDE_ERROR

  ER_PROCESSINCLUDE_ERROR

### ER_MISSING_LANG_ATTRIB

    public static final int ER_MISSING_LANG_ATTRIB

  ER_MISSING_LANG_ATTRIB

### ER_MISSING_CONTAINER_ELEMENT_COMPONENT

    public static final int ER_MISSING_CONTAINER_ELEMENT_COMPONENT

  ER_MISSING_CONTAINER_ELEMENT_COMPONENT

### ER_CAN_ONLY_OUTPUT_TO_ELEMENT

    public static final int ER_CAN_ONLY_OUTPUT_TO_ELEMENT

  ER_CAN_ONLY_OUTPUT_TO_ELEMENT

### ER_PROCESS_ERROR

    public static final int ER_PROCESS_ERROR

  ER_PROCESS_ERROR

### ER_UNIMPLNODE_ERROR

    public static final int ER_UNIMPLNODE_ERROR

  ER_UNIMPLNODE_ERROR

### ER_NO_SELECT_EXPRESSION

    public static final int ER_NO_SELECT_EXPRESSION

  ER_NO_SELECT_EXPRESSION

### ER_CANNOT_SERIALIZE_XSLPROCESSOR

    public static final int ER_CANNOT_SERIALIZE_XSLPROCESSOR

  ER_CANNOT_SERIALIZE_XSLPROCESSOR

### ER_NO_INPUT_STYLESHEET

    public static final int ER_NO_INPUT_STYLESHEET

  ER_NO_INPUT_STYLESHEET

### ER_FAILED_PROCESS_STYLESHEET

    public static final int ER_FAILED_PROCESS_STYLESHEET

  ER_FAILED_PROCESS_STYLESHEET

### ER_COULDNT_PARSE_DOC

    public static final int ER_COULDNT_PARSE_DOC

  ER_COULDNT_PARSE_DOC

### ER_COULDNT_FIND_FRAGMENT

    public static final int ER_COULDNT_FIND_FRAGMENT

  ER_COULDNT_FIND_FRAGMENT

### ER_NODE_NOT_ELEMENT

    public static final int ER_NODE_NOT_ELEMENT

  ER_NODE_NOT_ELEMENT

### ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB

    public static final int ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB

  ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB

### ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB

    public static final int ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB

  ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB

### ER_NO_CLONE_OF_DOCUMENT_FRAG

    public static final int ER_NO_CLONE_OF_DOCUMENT_FRAG

  ER_NO_CLONE_OF_DOCUMENT_FRAG

### ER_CANT_CREATE_ITEM

    public static final int ER_CANT_CREATE_ITEM

  ER_CANT_CREATE_ITEM

### ER_XMLSPACE_ILLEGAL_VALUE

    public static final int ER_XMLSPACE_ILLEGAL_VALUE

  ER_XMLSPACE_ILLEGAL_VALUE

### ER_NO_XSLKEY_DECLARATION

    public static final int ER_NO_XSLKEY_DECLARATION

  ER_NO_XSLKEY_DECLARATION

### ER_CANT_CREATE_URL

    public static final int ER_CANT_CREATE_URL

  ER_CANT_CREATE_URL

### ER_XSLFUNCTIONS_UNSUPPORTED

    public static final int ER_XSLFUNCTIONS_UNSUPPORTED

  ER_XSLFUNCTIONS_UNSUPPORTED

### ER_PROCESSOR_ERROR

    public static final int ER_PROCESSOR_ERROR

  ER_PROCESSOR_ERROR

### ER_NOT_ALLOWED_INSIDE_STYLESHEET

    public static final int ER_NOT_ALLOWED_INSIDE_STYLESHEET

  ER_NOT_ALLOWED_INSIDE_STYLESHEET

### ER_RESULTNS_NOT_SUPPORTED

    public static final int ER_RESULTNS_NOT_SUPPORTED

  ER_RESULTNS_NOT_SUPPORTED

### ER_DEFAULTSPACE_NOT_SUPPORTED

    public static final int ER_DEFAULTSPACE_NOT_SUPPORTED

  ER_DEFAULTSPACE_NOT_SUPPORTED

### ER_INDENTRESULT_NOT_SUPPORTED

    public static final int ER_INDENTRESULT_NOT_SUPPORTED

  ER_INDENTRESULT_NOT_SUPPORTED

### ER_ILLEGAL_ATTRIB

    public static final int ER_ILLEGAL_ATTRIB

  ER_ILLEGAL_ATTRIB

### ER_UNKNOWN_XSL_ELEM

    public static final int ER_UNKNOWN_XSL_ELEM

  ER_UNKNOWN_XSL_ELEM

### ER_BAD_XSLSORT_USE

    public static final int ER_BAD_XSLSORT_USE

  ER_BAD_XSLSORT_USE

### ER_MISPLACED_XSLWHEN

    public static final int ER_MISPLACED_XSLWHEN

  ER_MISPLACED_XSLWHEN

### ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE

    public static final int ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE

  ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE

### ER_MISPLACED_XSLOTHERWISE

    public static final int ER_MISPLACED_XSLOTHERWISE

  ER_MISPLACED_XSLOTHERWISE

### ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE

    public static final int ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE

  ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE

### ER_NOT_ALLOWED_INSIDE_TEMPLATE

    public static final int ER_NOT_ALLOWED_INSIDE_TEMPLATE

  ER_NOT_ALLOWED_INSIDE_TEMPLATE

### ER_UNKNOWN_EXT_NS_PREFIX

    public static final int ER_UNKNOWN_EXT_NS_PREFIX

  ER_UNKNOWN_EXT_NS_PREFIX

### ER_IMPORTS_AS_FIRST_ELEM

    public static final int ER_IMPORTS_AS_FIRST_ELEM

  ER_IMPORTS_AS_FIRST_ELEM

### ER_IMPORTING_ITSELF

    public static final int ER_IMPORTING_ITSELF

  ER_IMPORTING_ITSELF

### ER_XMLSPACE_ILLEGAL_VAL

    public static final int ER_XMLSPACE_ILLEGAL_VAL

  ER_XMLSPACE_ILLEGAL_VAL

### ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL

    public static final int ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL

  ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL

### ER_SAX_EXCEPTION

    public static final int ER_SAX_EXCEPTION

  ER_SAX_EXCEPTION

### ER_FUNCTION_NOT_SUPPORTED

    public static final int ER_FUNCTION_NOT_SUPPORTED

  ER_FUNCTION_NOT_SUPPORTED

### ER_XSLT_ERROR

    public static final int ER_XSLT_ERROR

  ER_XSLT_ERROR

### ER_CURRENCY_SIGN_ILLEGAL

    public static final int ER_CURRENCY_SIGN_ILLEGAL

  ER_CURRENCY_SIGN_ILLEGAL

### ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM

    public static final int ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM

  ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM

### ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER

    public static final int ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER

  ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER

### ER_REDIRECT_COULDNT_GET_FILENAME

    public static final int ER_REDIRECT_COULDNT_GET_FILENAME

  ER_REDIRECT_COULDNT_GET_FILENAME

### ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT

    public static final int ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT

  ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT

### ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX

    public static final int ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX

  ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX

### ER_MISSING_NS_URI

    public static final int ER_MISSING_NS_URI

  ER_MISSING_NS_URI

### ER_MISSING_ARG_FOR_OPTION

    public static final int ER_MISSING_ARG_FOR_OPTION

  ER_MISSING_ARG_FOR_OPTION

### ER_INVALID_OPTION

    public static final int ER_INVALID_OPTION

  ER_INVALID_OPTION

### ER_MALFORMED_FORMAT_STRING

    public static final int ER_MALFORMED_FORMAT_STRING

  ER_MALFORMED_FORMAT_STRING

### ER_STYLESHEET_REQUIRES_VERSION_ATTRIB

    public static final int ER_STYLESHEET_REQUIRES_VERSION_ATTRIB

  ER_STYLESHEET_REQUIRES_VERSION_ATTRIB

### ER_ILLEGAL_ATTRIBUTE_VALUE

    public static final int ER_ILLEGAL_ATTRIBUTE_VALUE

  ER_ILLEGAL_ATTRIBUTE_VALUE

### ER_CHOOSE_REQUIRES_WHEN

    public static final int ER_CHOOSE_REQUIRES_WHEN

  ER_CHOOSE_REQUIRES_WHEN

### ER_NO_APPLY_IMPORT_IN_FOR_EACH

    public static final int ER_NO_APPLY_IMPORT_IN_FOR_EACH

  ER_NO_APPLY_IMPORT_IN_FOR_EACH

### ER_CANT_USE_DTM_FOR_OUTPUT

    public static final int ER_CANT_USE_DTM_FOR_OUTPUT

  ER_CANT_USE_DTM_FOR_OUTPUT

### ER_CANT_USE_DTM_FOR_INPUT

    public static final int ER_CANT_USE_DTM_FOR_INPUT

  ER_CANT_USE_DTM_FOR_INPUT

### ER_CALL_TO_EXT_FAILED

    public static final int ER_CALL_TO_EXT_FAILED

  ER_CALL_TO_EXT_FAILED

### ER_PREFIX_MUST_RESOLVE

    public static final int ER_PREFIX_MUST_RESOLVE

  ER_PREFIX_MUST_RESOLVE

### ER_INVALID_UTF16_SURROGATE

    public static final int ER_INVALID_UTF16_SURROGATE

  ER_INVALID_UTF16_SURROGATE

### ER_XSLATTRSET_USED_ITSELF

    public static final int ER_XSLATTRSET_USED_ITSELF

  ER_XSLATTRSET_USED_ITSELF

### ER_CANNOT_MIX_XERCESDOM

    public static final int ER_CANNOT_MIX_XERCESDOM

  ER_CANNOT_MIX_XERCESDOM

### ER_TOO_MANY_LISTENERS

    public static final int ER_TOO_MANY_LISTENERS

  ER_TOO_MANY_LISTENERS

### ER_IN_ELEMTEMPLATEELEM_READOBJECT

    public static final int ER_IN_ELEMTEMPLATEELEM_READOBJECT

  ER_IN_ELEMTEMPLATEELEM_READOBJECT

### ER_DUPLICATE_NAMED_TEMPLATE

    public static final int ER_DUPLICATE_NAMED_TEMPLATE

  ER_DUPLICATE_NAMED_TEMPLATE

### ER_INVALID_KEY_CALL

    public static final int ER_INVALID_KEY_CALL

  ER_INVALID_KEY_CALL

### ER_REFERENCING_ITSELF

    public static final int ER_REFERENCING_ITSELF

  Variable is referencing itself

### ER_ILLEGAL_DOMSOURCE_INPUT

    public static final int ER_ILLEGAL_DOMSOURCE_INPUT

  Illegal DOMSource input

### ER_CLASS_NOT_FOUND_FOR_OPTION

    public static final int ER_CLASS_NOT_FOUND_FOR_OPTION

  Class not found for option

### ER_REQUIRED_ELEM_NOT_FOUND

    public static final int ER_REQUIRED_ELEM_NOT_FOUND

  Required Element not found

### ER_INPUT_CANNOT_BE_NULL

    public static final int ER_INPUT_CANNOT_BE_NULL

  InputStream cannot be null

### ER_URI_CANNOT_BE_NULL

    public static final int ER_URI_CANNOT_BE_NULL

  URI cannot be null

### ER_FILE_CANNOT_BE_NULL

    public static final int ER_FILE_CANNOT_BE_NULL

  File cannot be null

### ER_SOURCE_CANNOT_BE_NULL

    public static final int ER_SOURCE_CANNOT_BE_NULL

  InputSource cannot be null

### ER_CANNOT_OVERWRITE_CAUSE

    public static final int ER_CANNOT_OVERWRITE_CAUSE

  Can't overwrite cause

### ER_CANNOT_INIT_BSFMGR

    public static final int ER_CANNOT_INIT_BSFMGR

  Could not initialize BSF Manager

### ER_CANNOT_CMPL_EXTENSN

    public static final int ER_CANNOT_CMPL_EXTENSN

  Could not compile extension

### ER_CANNOT_CREATE_EXTENSN

    public static final int ER_CANNOT_CREATE_EXTENSN

  Could not create extension

### ER_INSTANCE_MTHD_CALL_REQUIRES

    public static final int ER_INSTANCE_MTHD_CALL_REQUIRES

  Instance method call to method {0} requires an Object instance as first argument

### ER_INVALID_ELEMENT_NAME

    public static final int ER_INVALID_ELEMENT_NAME

  Invalid element name specified

### ER_ELEMENT_NAME_METHOD_STATIC

    public static final int ER_ELEMENT_NAME_METHOD_STATIC

  Element name method must be static

### ER_EXTENSION_FUNC_UNKNOWN

    public static final int ER_EXTENSION_FUNC_UNKNOWN

  Extension function {0} : {1} is unknown

### ER_MORE_MATCH_CONSTRUCTOR

    public static final int ER_MORE_MATCH_CONSTRUCTOR

  More than one best match for constructor for

### ER_MORE_MATCH_METHOD

    public static final int ER_MORE_MATCH_METHOD

  More than one best match for method

### ER_MORE_MATCH_ELEMENT

    public static final int ER_MORE_MATCH_ELEMENT

  More than one best match for element method

### ER_INVALID_CONTEXT_PASSED

    public static final int ER_INVALID_CONTEXT_PASSED

  Invalid context passed to evaluate

### ER_POOL_EXISTS

    public static final int ER_POOL_EXISTS

  Pool already exists

### ER_NO_DRIVER_NAME

    public static final int ER_NO_DRIVER_NAME

  No driver Name specified

### ER_NO_URL

    public static final int ER_NO_URL

  No URL specified

### ER_POOL_SIZE_LESSTHAN_ONE

    public static final int ER_POOL_SIZE_LESSTHAN_ONE

  Pool size is less than one

### ER_INVALID_DRIVER

    public static final int ER_INVALID_DRIVER

  Invalid driver name specified

### ER_NO_STYLESHEETROOT

    public static final int ER_NO_STYLESHEETROOT

  Did not find the stylesheet root

### ER_ILLEGAL_XMLSPACE_VALUE

    public static final int ER_ILLEGAL_XMLSPACE_VALUE

  Illegal value for xml:space

### ER_PROCESSFROMNODE_FAILED

    public static final int ER_PROCESSFROMNODE_FAILED

  processFromNode failed

### ER_RESOURCE_COULD_NOT_LOAD

    public static final int ER_RESOURCE_COULD_NOT_LOAD

  The resource [] could not load:

### ER_BUFFER_SIZE_LESSTHAN_ZERO

    public static final int ER_BUFFER_SIZE_LESSTHAN_ZERO

  Buffer size <=0

### ER_UNKNOWN_ERROR_CALLING_EXTENSION

    public static final int ER_UNKNOWN_ERROR_CALLING_EXTENSION

  Unknown error when calling extension

### ER_NO_NAMESPACE_DECL

    public static final int ER_NO_NAMESPACE_DECL

  Prefix {0} does not have a corresponding namespace declaration

### ER_ELEM_CONTENT_NOT_ALLOWED

    public static final int ER_ELEM_CONTENT_NOT_ALLOWED

  Element content not allowed for lang=javaclass

### ER_STYLESHEET_DIRECTED_TERMINATION

    public static final int ER_STYLESHEET_DIRECTED_TERMINATION

  Stylesheet directed termination

### ER_ONE_OR_TWO

    public static final int ER_ONE_OR_TWO

  1 or 2

### ER_TWO_OR_THREE

    public static final int ER_TWO_OR_THREE

  2 or 3

### ER_COULD_NOT_LOAD_RESOURCE

    public static final int ER_COULD_NOT_LOAD_RESOURCE

  Could not load {0} (check CLASSPATH), now using just the defaults

### ER_CANNOT_INIT_DEFAULT_TEMPLATES

    public static final int ER_CANNOT_INIT_DEFAULT_TEMPLATES

  Cannot initialize default templates

### ER_RESULT_NULL

    public static final int ER_RESULT_NULL

  Result should not be null

### ER_RESULT_COULD_NOT_BE_SET

    public static final int ER_RESULT_COULD_NOT_BE_SET

  Result could not be set

### ER_NO_OUTPUT_SPECIFIED

    public static final int ER_NO_OUTPUT_SPECIFIED

  No output specified

### ER_CANNOT_TRANSFORM_TO_RESULT_TYPE

    public static final int ER_CANNOT_TRANSFORM_TO_RESULT_TYPE

  Can't transform to a Result of type

### ER_CANNOT_TRANSFORM_SOURCE_TYPE

    public static final int ER_CANNOT_TRANSFORM_SOURCE_TYPE

  Can't transform to a Source of type

### ER_NULL_CONTENT_HANDLER

    public static final int ER_NULL_CONTENT_HANDLER

  Null content handler

### ER_NULL_ERROR_HANDLER

    public static final int ER_NULL_ERROR_HANDLER

  Null error handler

### ER_CANNOT_CALL_PARSE

    public static final int ER_CANNOT_CALL_PARSE

  parse can not be called if the ContentHandler has not been set

### ER_NO_PARENT_FOR_FILTER

    public static final int ER_NO_PARENT_FOR_FILTER

  No parent for filter

### ER_NO_STYLESHEET_IN_MEDIA

    public static final int ER_NO_STYLESHEET_IN_MEDIA

  No stylesheet found in: {0}, media

### ER_NO_STYLESHEET_PI

    public static final int ER_NO_STYLESHEET_PI

  No xml-stylesheet PI found in

### ER_NO_DEFAULT_IMPL

    public static final int ER_NO_DEFAULT_IMPL

  No default implementation found

### ER_CHUNKEDINTARRAY_NOT_SUPPORTED

    public static final int ER_CHUNKEDINTARRAY_NOT_SUPPORTED

  ChunkedIntArray({0}) not currently supported

### ER_OFFSET_BIGGER_THAN_SLOT

    public static final int ER_OFFSET_BIGGER_THAN_SLOT

  Offset bigger than slot

### ER_COROUTINE_NOT_AVAIL

    public static final int ER_COROUTINE_NOT_AVAIL

  Coroutine not available, id=

### ER_COROUTINE_CO_EXIT

    public static final int ER_COROUTINE_CO_EXIT

  CoroutineManager recieved co_exit() request

### ER_COJOINROUTINESET_FAILED

    public static final int ER_COJOINROUTINESET_FAILED

  co_joinCoroutineSet() failed

### ER_COROUTINE_PARAM

    public static final int ER_COROUTINE_PARAM

  Coroutine parameter error ()

### ER_PARSER_DOTERMINATE_ANSWERS

    public static final int ER_PARSER_DOTERMINATE_ANSWERS

  UNEXPECTED: Parser doTerminate answers

### ER_NO_PARSE_CALL_WHILE_PARSING

    public static final int ER_NO_PARSE_CALL_WHILE_PARSING

  parse may not be called while parsing

### ER_TYPED_ITERATOR_AXIS_NOT_IMPLEMENTED

    public static final int ER_TYPED_ITERATOR_AXIS_NOT_IMPLEMENTED

  Error: typed iterator for axis {0} not implemented

### ER_ITERATOR_AXIS_NOT_IMPLEMENTED

    public static final int ER_ITERATOR_AXIS_NOT_IMPLEMENTED

  Error: iterator for axis {0} not implemented

### ER_ITERATOR_CLONE_NOT_SUPPORTED

    public static final int ER_ITERATOR_CLONE_NOT_SUPPORTED

  Iterator clone not supported

### ER_UNKNOWN_AXIS_TYPE

    public static final int ER_UNKNOWN_AXIS_TYPE

  Unknown axis traversal type

### ER_AXIS_NOT_SUPPORTED

    public static final int ER_AXIS_NOT_SUPPORTED

  Axis traverser not supported

### ER_NO_DTMIDS_AVAIL

    public static final int ER_NO_DTMIDS_AVAIL

  No more DTM IDs are available

### ER_NOT_SUPPORTED

    public static final int ER_NOT_SUPPORTED

  Not supported

### ER_NODE_NON_NULL

    public static final int ER_NODE_NON_NULL

  node must be non-null for getDTMHandleFromNode

### ER_COULD_NOT_RESOLVE_NODE

    public static final int ER_COULD_NOT_RESOLVE_NODE

  Could not resolve the node to a handle

### ER_STARTPARSE_WHILE_PARSING

    public static final int ER_STARTPARSE_WHILE_PARSING

  startParse may not be called while parsing

### ER_STARTPARSE_NEEDS_SAXPARSER

    public static final int ER_STARTPARSE_NEEDS_SAXPARSER

  startParse needs a non-null SAXParser

### ER_COULD_NOT_INIT_PARSER

    public static final int ER_COULD_NOT_INIT_PARSER

  could not initialize parser with

### ER_PROPERTY_VALUE_BOOLEAN

    public static final int ER_PROPERTY_VALUE_BOOLEAN

  Value for property {0} should be a Boolean instance

### ER_EXCEPTION_CREATING_POOL

    public static final int ER_EXCEPTION_CREATING_POOL

  exception creating new instance for pool

### ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE

    public static final int ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE

  Path contains invalid escape sequence

### ER_SCHEME_REQUIRED

    public static final int ER_SCHEME_REQUIRED

  Scheme is required!

### ER_NO_SCHEME_IN_URI

    public static final int ER_NO_SCHEME_IN_URI

  No scheme found in URI

### ER_NO_SCHEME_INURI

    public static final int ER_NO_SCHEME_INURI

  No scheme found in URI

### ER_PATH_INVALID_CHAR

    public static final int ER_PATH_INVALID_CHAR

  Path contains invalid character:

### ER_SCHEME_FROM_NULL_STRING

    public static final int ER_SCHEME_FROM_NULL_STRING

  Cannot set scheme from null string

### ER_SCHEME_NOT_CONFORMANT

    public static final int ER_SCHEME_NOT_CONFORMANT

  The scheme is not conformant.

### ER_HOST_ADDRESS_NOT_WELLFORMED

    public static final int ER_HOST_ADDRESS_NOT_WELLFORMED

  Host is not a well formed address

### ER_PORT_WHEN_HOST_NULL

    public static final int ER_PORT_WHEN_HOST_NULL

  Port cannot be set when host is null

### ER_INVALID_PORT

    public static final int ER_INVALID_PORT

  Invalid port number

### ER_FRAG_FOR_GENERIC_URI

    public static final int ER_FRAG_FOR_GENERIC_URI

  Fragment can only be set for a generic URI

### ER_FRAG_WHEN_PATH_NULL

    public static final int ER_FRAG_WHEN_PATH_NULL

  Fragment cannot be set when path is null

### ER_FRAG_INVALID_CHAR

    public static final int ER_FRAG_INVALID_CHAR

  Fragment contains invalid character

### ER_PARSER_IN_USE

    public static final int ER_PARSER_IN_USE

  Parser is already in use

### ER_CANNOT_CHANGE_WHILE_PARSING

    public static final int ER_CANNOT_CHANGE_WHILE_PARSING

  Parser is already in use

### ER_SELF_CAUSATION_NOT_PERMITTED

    public static final int ER_SELF_CAUSATION_NOT_PERMITTED

  Self-causation not permitted

### ER_COULD_NOT_FIND_EXTERN_SCRIPT

    public static final int ER_COULD_NOT_FIND_EXTERN_SCRIPT

  src attribute not yet supported for

### ER_RESOURCE_COULD_NOT_FIND

    public static final int ER_RESOURCE_COULD_NOT_FIND

  The resource [] could not be found

### ER_OUTPUT_PROPERTY_NOT_RECOGNIZED

    public static final int ER_OUTPUT_PROPERTY_NOT_RECOGNIZED

  output property not recognized:

### ER_NO_USERINFO_IF_NO_HOST

    public static final int ER_NO_USERINFO_IF_NO_HOST

  Userinfo may not be specified if host is not specified

### ER_NO_PORT_IF_NO_HOST

    public static final int ER_NO_PORT_IF_NO_HOST

  Port may not be specified if host is not specified

### ER_NO_QUERY_STRING_IN_PATH

    public static final int ER_NO_QUERY_STRING_IN_PATH

  Query string cannot be specified in path and query string

### ER_NO_FRAGMENT_STRING_IN_PATH

    public static final int ER_NO_FRAGMENT_STRING_IN_PATH

  Fragment cannot be specified in both the path and fragment

### ER_CANNOT_INIT_URI_EMPTY_PARMS

    public static final int ER_CANNOT_INIT_URI_EMPTY_PARMS

  Cannot initialize URI with empty parameters

### ER_FAILED_CREATING_ELEMLITRSLT

    public static final int ER_FAILED_CREATING_ELEMLITRSLT

  Failed creating ElemLiteralResult instance

### ER_PRIORITY_NOT_PARSABLE

    public static final int ER_PRIORITY_NOT_PARSABLE

  Priority value does not contain a parsable number

### ER_VALUE_SHOULD_EQUAL

    public static final int ER_VALUE_SHOULD_EQUAL

  Value for {0} should equal 'yes' or 'no'

### ER_FAILED_CALLING_METHOD

    public static final int ER_FAILED_CALLING_METHOD

  Failed calling {0} method

### ER_FAILED_CREATING_ELEMTMPL

    public static final int ER_FAILED_CREATING_ELEMTMPL

  Failed creating ElemLiteralResult instance

### ER_CHARS_NOT_ALLOWED

    public static final int ER_CHARS_NOT_ALLOWED

  Characters are not allowed at this point in the document

### ER_ATTR_NOT_ALLOWED

    public static final int ER_ATTR_NOT_ALLOWED

  attribute is not allowed on the element

### ER_METHOD_NOT_SUPPORTED

    public static final int ER_METHOD_NOT_SUPPORTED

  Method not yet supported

### ER_BAD_VALUE

    public static final int ER_BAD_VALUE

  Bad value

### ER_ATTRIB_VALUE_NOT_FOUND

    public static final int ER_ATTRIB_VALUE_NOT_FOUND

  attribute value not found

### ER_ATTRIB_VALUE_NOT_RECOGNIZED

    public static final int ER_ATTRIB_VALUE_NOT_RECOGNIZED

  attribute value not recognized

### ER_INCRSAXSRCFILTER_NOT_RESTARTABLE

    public static final int ER_INCRSAXSRCFILTER_NOT_RESTARTABLE

  IncrementalSAXSource_Filter not currently restartable

### ER_XMLRDR_NOT_BEFORE_STARTPARSE

    public static final int ER_XMLRDR_NOT_BEFORE_STARTPARSE

  IncrementalSAXSource_Filter not currently restartable

### ER_NULL_URI_NAMESPACE

    public static final int ER_NULL_URI_NAMESPACE

  Attempting to generate a namespace prefix with a null URI

### ER_NUMBER_TOO_BIG

    public static final int ER_NUMBER_TOO_BIG

  Attempting to generate a namespace prefix with a null URI

### WG_FOUND_CURLYBRACE

    public static final int WG_FOUND_CURLYBRACE

  WG_FOUND_CURLYBRACE

### WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR

    public static final int WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR

  WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR

### WG_EXPR_ATTRIB_CHANGED_TO_SELECT

    public static final int WG_EXPR_ATTRIB_CHANGED_TO_SELECT

  WG_EXPR_ATTRIB_CHANGED_TO_SELECT

### WG_NO_LOCALE_IN_FORMATNUMBER

    public static final int WG_NO_LOCALE_IN_FORMATNUMBER

  WG_NO_LOCALE_IN_FORMATNUMBER

### WG_LOCALE_NOT_FOUND

    public static final int WG_LOCALE_NOT_FOUND

  WG_LOCALE_NOT_FOUND

### WG_CANNOT_MAKE_URL_FROM

    public static final int WG_CANNOT_MAKE_URL_FROM

  WG_CANNOT_MAKE_URL_FROM

### WG_CANNOT_LOAD_REQUESTED_DOC

    public static final int WG_CANNOT_LOAD_REQUESTED_DOC

  WG_CANNOT_LOAD_REQUESTED_DOC

### WG_CANNOT_FIND_COLLATOR

    public static final int WG_CANNOT_FIND_COLLATOR

  WG_CANNOT_FIND_COLLATOR

### WG_FUNCTIONS_SHOULD_USE_URL

    public static final int WG_FUNCTIONS_SHOULD_USE_URL

  WG_FUNCTIONS_SHOULD_USE_URL

### WG_ENCODING_NOT_SUPPORTED_USING_UTF8

    public static final int WG_ENCODING_NOT_SUPPORTED_USING_UTF8

  WG_ENCODING_NOT_SUPPORTED_USING_UTF8

### WG_ENCODING_NOT_SUPPORTED_USING_JAVA

    public static final int WG_ENCODING_NOT_SUPPORTED_USING_JAVA

  WG_ENCODING_NOT_SUPPORTED_USING_JAVA

### WG_SPECIFICITY_CONFLICTS

    public static final int WG_SPECIFICITY_CONFLICTS

  WG_SPECIFICITY_CONFLICTS

### WG_PARSING_AND_PREPARING

    public static final int WG_PARSING_AND_PREPARING

  WG_PARSING_AND_PREPARING

### WG_ATTR_TEMPLATE

    public static final int WG_ATTR_TEMPLATE

  WG_ATTR_TEMPLATE

### WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE

    public static final int WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE

  WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE

### WG_ATTRIB_NOT_HANDLED

    public static final int WG_ATTRIB_NOT_HANDLED

  WG_ATTRIB_NOT_HANDLED

### WG_NO_DECIMALFORMAT_DECLARATION

    public static final int WG_NO_DECIMALFORMAT_DECLARATION

  WG_NO_DECIMALFORMAT_DECLARATION

### WG_OLD_XSLT_NS

    public static final int WG_OLD_XSLT_NS

  WG_OLD_XSLT_NS

### WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED

    public static final int WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED

  WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED

### WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE

    public static final int WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE

  WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE

### WG_ILLEGAL_ATTRIBUTE

    public static final int WG_ILLEGAL_ATTRIBUTE

  WG_ILLEGAL_ATTRIBUTE

### WG_COULD_NOT_RESOLVE_PREFIX

    public static final int WG_COULD_NOT_RESOLVE_PREFIX

  WG_COULD_NOT_RESOLVE_PREFIX

### WG_STYLESHEET_REQUIRES_VERSION_ATTRIB

    public static final int WG_STYLESHEET_REQUIRES_VERSION_ATTRIB

  WG_STYLESHEET_REQUIRES_VERSION_ATTRIB

### WG_ILLEGAL_ATTRIBUTE_NAME

    public static final int WG_ILLEGAL_ATTRIBUTE_NAME

  WG_ILLEGAL_ATTRIBUTE_NAME

### WG_ILLEGAL_ATTRIBUTE_VALUE

    public static final int WG_ILLEGAL_ATTRIBUTE_VALUE

  WG_ILLEGAL_ATTRIBUTE_VALUE

### WG_EMPTY_SECOND_ARG

    public static final int WG_EMPTY_SECOND_ARG

  WG_EMPTY_SECOND_ARG

### BAD_CODE

    public static final java.lang.String BAD_CODE

  String for use when a bad error code was encountered.

### FORMAT_FAILED

    public static final java.lang.String FORMAT_FAILED

  String for use when formatting of the error string failed.

### ERROR_STRING

    public static final java.lang.String ERROR_STRING

  General error string.

### ERROR_HEADER

    public static final java.lang.String ERROR_HEADER

  String to prepend to error messages.

### WARNING_HEADER

    public static final java.lang.String WARNING_HEADER

  String to prepend to warning messages.

### XSL_HEADER

    public static final java.lang.String XSL_HEADER

  String to specify the XSLT module.

### XML_HEADER

    public static final java.lang.String XML_HEADER

  String to specify the XML parser module.

### QUERY_HEADER

    public static final java.lang.String QUERY_HEADER

  Deprecated.
  I don't think this is used any more.

Constructor Detail

### XSLTErrorResources

    public XSLTErrorResources()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Get the lookup table.

  Returns:
    The int to message lookup table.
  Overrides:
    getContents in class java.util.ListResourceBundle

### loadResourceBundle

    public static final XSLTErrorResources loadResourceBundle(java.lang.String className)
                                                       throws java.util.MissingResourceException

  Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().

  Parameters:
    `className` - the name of the class that implements the resource bundle.
  Returns:
    the ResourceBundle
  Throws:
    java.util.MissingResourceException -

### getMessageKey

    public java.lang.String getMessageKey(int errorCode)

  Get a string representation of the error code.

  Parameters:
    `errorCode` - Should be a valid error code less than `MAX_CODE`.
  Returns:
    A string representation of the error code, or null if code is greater than MAX_CODE.
  Overrides:
    getMessageKey in class XResourceBundleBase

### getWarningKey

    public java.lang.String getWarningKey(int errorCode)

  Get a string representation of the warning code.

  Parameters:
    `errorCode` - Should be a valid warning code less than `MAX_WARNING`.
  Returns:
    A string representation of the warning code, or null if code is greater than MAX_WARNING.
  Overrides:
    getWarningKey in class XResourceBundleBase

### getMKey

    public static java.lang.String getMKey(int errorCode)

  Get a string representation of the message code. (same as getMessageKey).

  Parameters:
    `errorCode` - Should be a valid error code less than `MAX_CODE`.
  Returns:
    A string representation of the error code, or null if code is greater than MAX_CODE.

### getWKey

    public static java.lang.String getWKey(int errorCode)

  Get a string representation of the warning code.

  Parameters:
    `errorCode` - Should be a valid warning code less than `MAX_WARNING`.
  Returns:
    A string representation of the warning code, or null if code is greater than MAX_WARNING.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference